# Nano Banana 2

## google/nano-banana-2-text-to-image

> Nano Banana 2 is Google's new state-of-the-art fast image generation and editing model

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"nano-banana-2"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"google/nano-banana-2-text-to-image","deprecated":false,"description":"Nano Banana 2 is Google's new state-of-the-art fast image generation and editing model","tags":["nano-banana-2"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"The text prompt to generate an image from."},"seed":{"type":"integer","description":"The seed for the random number generator."},"aspect_ratio":{"type":"string","description":"The aspect ratio of the generated image. Use \"auto\" to let the model decide based on the prompt. Default value: `auto`\n\nPossible enum values: `auto`, `21:9`, `16:9`, `3:2`, `4:3`, `5:4`, `1:1`, `4:5`, `3:4`, `2:3`, `9:16`","enum":["auto","21:9","16:9"," 3:2","4:3","5:4","1:1","4:5","3:4","2:3","9:16"],"default":"auto"},"safety_tolerance":{"type":"string","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict. Default value: `\"4\"`\n\nPossible enum values: `1`, `2`, `3`, `4`, `5`, `6`","default":"4"},"resolution":{"type":"string","description":"The resolution of the image to generate. Default value: `\"1K\"`\n\nPossible enum values: `0.5K`, `1K`, `2K`, `4K`","default":"1K","enum":["0.5K","1K","2K","4K"]},"limit_generations":{"type":"boolean","description":"Experimental parameter to limit the number of generations from each round of prompting to 1. Set to True to to disregard any instructions in the prompt regarding the number of images to generate and ignore any intermediate images generated by the model. This may affect generation quality. Default value: `true`","default":true},"enable_web_search":{"type":"boolean","description":"Enable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image."},"n":{"type":"integer","description":"The number of images to generate. Default value: `1`","default":1,"enum":[1,2,3,4]},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url","b64_json"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"created":{"type":"integer"},"data":{"type":"array","items":{"type":"object","properties":{"b64_json":{"type":"string"},"revised_prompt":{"type":"string"},"url":{"type":"string"}}}},"request_id":{"type":"string"}},"required":["created","data","request_id"]}}},"headers":{}}}}}}}
```
